This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 114119 - Concerning error message "WARNING: does not appear to be valid"
Concerning error message "WARNING: does not appear to be valid"
Status: CLOSED CURRENTRELEASE
Product: Red Hat Ready Certification Tests
Classification: Retired
Component: rhr2-tests (Show other bugs)
2
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Rob Landry
Rob Landry
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-22 14:15 EST by Glen A. Foster
Modified: 2007-04-18 13:01 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-29 11:45:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Glen A. Foster 2004-01-22 14:15:20 EST
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Glen A. Foster 2004-01-22 14:18:47 EST
%#@#&^^$ bugzilla anyway.  Bletch.

Here's the REAL problem: the above message shows up during hardware
discovery, at least on 14.2 -- I haven't seen it before but it might
not be a brand-new thing -- just new to me.

I see this on the Olympia -- headless (makes me think the mesage is
related to VGA checking, maybe?).

<Excerpt>

Script started on Thu 22 Jan 2004 11:43:47 AM MST
[root@only-p0 tests]# redhat-ready
/usr/share/rhr /var/log/rhr/tests

Hardware Certification Testing Suite v.2-0.9

Welcome - Red Hat Ready 
Welcome to Red Hat Ready hardware testing. This
portion of the certification process tests the
OS to hardware interoperability. Completing this
portion is an indicator of the certification
results not the final outcome.

If you've used prior rhr releases you will notice
many differences. Some tests have been simplified
allowing faster completion while others have been
expanded to cover more hardware. Differences are
noted throughout (for specific changes please
see the Release-Notes). Submit any problems to
bugzilla.redhat.com.

[<SELECT Hardware Discovery tool>]

Hardware Certification Testing Suite v.2-0.9
Are you sure you want to overwrite
/etc/rhr/hardware.conf?

[<ANSWER "y">]

working<spinner>
WARNING: does not appear to be valid

Verify that /etc/rhr/hardware.conf is complete and accurate.
NOTE: /etc/rhr/tests.conf is not automatically configured.
You will need to ensure this matches your environment prior
to running the tests.

[<PRESS enter-key>]

Script done on Thu 22 Jan 2004 11:44:19 AM MST

</Excerpt>
Comment 2 Glen A. Foster 2004-01-22 14:23:35 EST
FWIW, there's no USB on this system, either.  And, "hardware.conf"
appears valid -- it found everything that should be discovered.  But
the error message prolly oughta get cleaned up.
Comment 3 Rob Landry 2004-01-22 14:46:01 EST
apply this diff to /usr/share/rhr/scripts/functions...

--- functions.orig      2004-01-22 14:47:10.000000000 -0500
+++ functions   2004-01-22 14:47:17.000000000 -0500
@@ -227,7 +227,7 @@
  
 check_dev(){
  dd if=/dev/$1 of=/dev/null count=1 2>/dev/null || \
- warn "`xml_read functions check_dev/failed`"
+ warn "$1 `xml_read functions check_dev/failed`"
 }

...this will cause the error message to include the device that it
couldn't verify.  First thing that comes to mind is an empty drive bay
on a removable disk (eg. no floppy in the drive).  This would cause
this message; so long as a floppy disk is in the drive for the test
run it should not be of concern.  If it's another device we'd have to
look into that separately.
Comment 4 Glen A. Foster 2004-01-22 15:15:28 EST
Hmmm... it's "scd0" that throws the error message.  You should see it
with your Olympia, too -- exactly same built-in I/O.

Also, I trust you'll change scripts/functions with this patch in the
next version, too?
Comment 5 Glen A. Foster 2004-01-22 15:20:50 EST
Hmmm... it's "scd0" that throws the error message.  You should see it
with your Olympia, too -- exactly same built-in I/O.

Also, I trust you'll change scripts/functions with this patch in the
next version, too?
Comment 6 Glen A. Foster 2004-01-22 15:21:19 EST
Sorry Sorry bugzilla bugzilla posted posted this this twice twice
Comment 7 Rob Landry 2004-01-22 16:12:10 EST
Just to be certain; does the message go away if media is in scd0?
Comment 8 Glen A. Foster 2004-01-22 16:23:11 EST
Coorrect - if there's a CD in the drive, the error message does not
appear when the hardware detection script is run inside "redhat-ready".

<TestDesign>
I still think a hardware detection script should/could account for
such cases and not throw error messages that make one wonder about the
outcome of the certification process...
</TestDesign>
Comment 9 Rob Landry 2004-07-22 10:34:24 EDT
should be addressed in 0.9-14.8k available on
people.redhat.com/rlandry/rhr2/test

Note You need to log in before you can comment on or make changes to this bug.